# SolrClient::setServlet

(PECL solr >= 0.9.2)

SolrClient::setServlet — Changes the specified servlet type to a new value

### Description

public SolrClient::setServlet ( int `$type` , string `$value` ) : bool

Changes the specified servlet type to a new value

### Parameters

`type`

  One of the following :

      - SolrClient::SEARCH_SERVLET_TYPE
       - SolrClient::UPDATE_SERVLET_TYPE
       - SolrClient::THREADS_SERVLET_TYPE
       - SolrClient::PING_SERVLET_TYPE
       - SolrClient::TERMS_SERVLET_TYPE

`value`

  The new value for the servlet

### Return Values

Returns `TRUE` on success or `FALSE` on failure.